<?php
#-----------------------------------------------------#
# Зц Sea mod Ganjara                                  #
# 	 Автор : Slayer  with   Ganjar                    #
#    ICQ :   566003         993770                    #
#    Вы не имеете права распространять данный скрипт. #
# 		По всем вопросам пишите в ICQ.                  #
#-----------------------------------------------------#

define('_IN_JOHNCMS', 1);
$zc=1;
$headmod = 'guest';
$textl = 'Загрузки';
require_once ("../incfiles/core.php");
require_once ("../incfiles/head.php");
$time = time();
$setting = mysql_query('SELECT * FROM `zc_setting`;');

while($set = mysql_fetch_assoc($setting)){
$setup[$set['name']] = $set['value'];
}

$hackmess = $setup['hackmess'];

require 'moduls/ini.php';
require 'moduls/fun.php';
//
$id = intval($_GET['id']);


//


mysql_query('UPDATE `loginlog` SET `time`="", `access_num`=0 WHERE `id` = 1;');
$all = mysql_fetch_row(mysql_query('SELECT COUNT(`id`) FROM `'.$setup['pref'].'loginlog`;'));
if($all[0] > 21)
{
$min = mysql_fetch_row(mysql_query('SELECT MIN(`id`) FROM `'.$setup['pref'].'loginlog` WHERE `id` > 1;'));
$query = mysql_query('DELETE FROM `'.$setup['pref'].'loginlog` WHERE `id` = '.$min[0]);
}
###################################################
$error = 0;
if($rights < "4") $error = 1;


if($error==1) die($setup['hackmess']);
####################ВЫХОД##########################

if($_GET['action']=='exit')
{
session_destroy();
echo 'Вы вышли из админки<br/>
<a href="index.php">Загрузки</a>';
}

###################ГЛАВНОЕ МЕНЮ####################
switch($_GET['action']){
default:
$all = mysql_fetch_array(mysql_query("SELECT COUNT(*) FROM `".$setup['pref']."partner_users` WHERE `vyplata` = 1"));
$all1 = mysql_fetch_array(mysql_query("SELECT COUNT(*) FROM `".$setup['pref']."partner_tiket` WHERE `adm` = 0"));
echo '<div class="menu">Админка</div>
<div class="list2">Файлы</div><div class="list1">
<a href="apanel_index.php">Файловый менеджер</a><br/>
<a href="apanel.php?action=upload">Upload файлов</a><br/>
<a href="apanel.php?action=import">Импорт файлов</a><br/>
<a href="apanel.php?action=import2">Импорт/Граб</a><br/>
<a href="rename.php">Массовая переименовка файлов</a><br/>
<a href="table.php">Стол заказов</a><br/>

</div><div class="list2">Зароботок</div><div class="list1">
<a href="blok.php?action=1">Закрыть бесплатный доступ по смс</a><br/>
<a href="blok.php?action=4">Закрыть бесплатный -активация ссылок</a><br/>
<a href="apanel.php?action=smsnum">смс номера</a><br/>
<a href="apanel.php?action=payset">Настройки</a><br/>
<a href="../partner/admtiket.php">Поддержка</a> ( '.$all1[0].' )<br/>
<a href="../partner/vyplaty.php">Выплаты</a> ( '.$all[0].' )<br/>
<a href="apanel.php?action=smsinfo">Отчеты</a><br/>

</div><div class="list2">Комментарии</div><div class="list1">
<a href="allkomm.php?">Все комментарии</a><br/>
<a href="apanel.php?action=cleankomm">Очистка комментариев</a><br/>


</div><div class="list2">БД MySQL</div><div class="list1">
<a href="apanel_scan.php">Полное обновление БД</a><br/>
<a href="apanel.php?action=rot">Очистка БД от мусора</a><br/>
<a href="apanel.php?action=optm">Оптимизация БД</a><br/>
<a href="apanel.php?action=clean">Очистка БД</a><br/>

</div><div class="list2">Настройки</div><div class="list1">
<a href="apanel.php?action=setting">Настройки</a><br/>
<a href="apanel.php?action=modules">Модули</a><br/>
<a href="apanel.php?action=id3">MP3 теги</a><br/>
<a href="apanel.php?action=mark">Маркер картинок</a><br/>


</div><div class="list2">Реклама</div><div class="list1">
<a href="apanel.php?action=buy">Реклама</a><br/>
<a href="apanel.php?action=buy3">Счетчики,баннеры</a>

</div>

<div class="menu"><a href="/">Главная</a><br/><a href="index.php">Загрузки</a></div>';
break;

#########################################ИМПОРТ2222222####################################################################
case 'import2':
set_time_limit(99999);

if($_POST['url'])
{
$b = file('browser.dat');
$s = sizeof($b)-1;

$ot = trim($_POST['ot']);
$do = trim($_POST['do']);
$topath = trim($_POST['topath']);
$url = trim($_POST['url']);
$referer = trim($_POST['referer']);
$dir=''.$_SERVER['DOCUMENT_ROOT'].dirname($_SERVER['PHP_SELF']).'/'.$topath;
if(strlen($ot)>1 && $ot[0]=='0'){
$null = substr_count($ot,'0');
for($i=0; $i<$null; ++$i){
$temp.= '0';
}
}


$ref = $get =array();

for($i=$ot; $i<=$do; ++$i)
{

if($temp!==false){
$num = $i/10;
if($num==1 || $num==10 || $num==100 || $num==1000 || $num==10000 || $num==100000 || $num==1000000){
$temp = substr($temp,0,-1);
}
}


if($temp!==false && $i!=$ot){
$get[].= str_replace('$',$temp.$i,$url);
$ref[].= str_replace('$',$temp.$i,$referer);
}
else{
$get[].= str_replace('$',$i,$url);
$ref[].= str_replace('$',$i,$referer);
}

}


mkdir($dir,0777);
chmod($dir,0777);

for($i=0; $i<=sizeof($get); $i++)
{
ini_set('user_agent',trim($b[rand(0,$s)])."\r\nReferer: $ref[$i]\r\nAccept: */*\r\nAccept-Charset: utf-8\r\nAccept-language: ru-RU");
if(copy($get[$i],$dir.basename($get[$i]))){++$g;}
}

chmod($dir,0755);

print 'Скопировано '.$g.' Файла(ов)'; 
}
else
{
$dirs = mysql_query("SELECT `path` FROM `".$setup['pref']."files` WHERE `size` = '0';");
print '<form action="'.$_SERVER['PHP_SELF'].'?action=import2" method="post">
<div>
Сохранить в:<br/>
<select class="buttom" size="1" width="70" name="topath"><option value="'.$setup['path'].'/">./</option>';
while($item = mysql_fetch_array($dirs))
{

$name = str_replace($setup['path'].'/','',$item['path']);
$path = explode('/',$name);
$option = '';
unset($path[sizeof($path)-1]);
foreach($path as $value)
{
if(strpos($value , '!') !== false) $name = trans($value); else $name = $value;
$option = $option.$name.'/';
}
echo '<option value="'.$item['path'].'">'.$option.'</option>';
}

echo '</select><br/>
URL<br/>
<input type="text" name="url" value="http://"/><br/>
Referer<br/>
<input type="text" name="referer" value="http://"/><br/>
Начать с<br/>
<input type="text" name="ot" value="1"/><br/>
Закончить<br/>
<input type="text" name="do" value="100"/><br/>
<input type="submit" value="Панеслась"/>
</div>
</form>FAQ(ЧаВО)<br/>----------<br/>
Например, пишем:<br/>
Куда Копировать - dir/<br/>
URL - http://somebody.com/$.gif<br/>
Referer - http://somebody.com/$.gif<br/>
Начать с - 001 (не начинайте со всех нулей)<br/>
Закончить - 100<br/>----------';
}
if(!empty($faq)) echo "Куда Копировать - папка на вашем хосте, куда будут скопированы файлы, имя<br/>относительно данного скрипта, если такой папки нет, она будет создана<br/>
URL - адрес ресурса откуда будем качать контент, символ $ будет заменятся на <br/>ЦИФРУ/БУКВУ<br/>
Referer - реферер, символ $ будет заменятся на ЦИФРУ/БУКВУ<br/>
В параметрах 'Начать с' и 'Закончить' вписываем ЦИФРУ/БУКВУ от которой будет начат <br/>отсчет и которой закончен соответственно<br/>
<br/>

<br/>
В таком случае с somebody.com будут скопированы в папку dir вашего хоста файлы <br/>http://somebody.com/001.gif, http://somebody.com/002.gif ... <br/>http://somebody.com/100.gif<br/>
<br/>
Взяв за пример скрипт Гемороя.оф сайт wapinet.ru<br/>";
break;
#####################################sms номера
case 'smsnum':

if(intval($_GET['id'])){ //удаление

$del = mysql_query('DELETE FROM `'.$setup['pref'].'smsnum` WHERE `id` = '.intval($_GET['id']).' LIMIT 1');
if($del) $say= '<font color="red">Номер успешно удален!</font><br/>';
else $say= '<font color="red">Ошибка запроса!</font><br/>'; 
}
###############Получаем список номеров
$query = mysql_query('SELECT * FROM `'.$setup['pref'].'smsnum` ORDER BY `time` DESC');
while($list_sw = mysql_fetch_array($query)){
$array_id[] = $list_sw['id'];
}
$all = sizeof($array_id);
$n = 0;
if($_GET['act']=='add') //добавление номера
{
$error = null;
$_POST['value'] = bbcode(clean(del(substr($_POST['value'],0,256))));
$_POST['num']  = intval($_POST['num']);
$_POST['time'] = intval($_POST['time']);
if(!$_POST['num'] || !$_POST['time']) $error .= 'Не заполнено одно из полей!<br/>';

$tr = mysql_query("SELECT * FROM `".$setup['pref']."smsnum` WHERE `num` = '".$_POST['num']."'");
if(mysql_fetch_row($tr)) $error .= 'Зачем повторяться?!<br/>';

//Если нет ошибок пишем в базу
if($error) echo '<div class="list1">'.$error.'</div>';
else {mysql_query("INSERT INTO `".$setup['pref']."smsnum` (`value`, `num`, `time`) VALUES ('".$_POST['value']."', '".$_POST['num']."', '".$_POST['time']."');");
echo '<div class="list1">смс добавлено!</div>';}
echo '<div class="bmenu">';
echo '<li><a href="apanel.php?action=smsnum">К списку смс</a></li></div>';
}
else //вывод номеров
{
echo '<div class="gmenu"><form action="apanel.php?action=smsnum&amp;act=add" method="post">';
echo 'Номер(max. 10):<br/><input class="enter" name="num" type="text" value="" maxlength="10"/><br/>';
echo 'Время действия(часов):<br/><input class="enter" name="time" type="text" value="" maxlength="10"/><br/>';
echo 'Оператор/Цена:<br/><textarea cols="20" rows="2" name="value" maxlength="1256"></textarea><br/>';
echo '<input type="submit" title="Нажмите для отправки" name="submit" value="Добавить"/></form></div>';

echo '<div class="list2"><table  width="40%" style="font-size:9px;" border="1">
    	<tr style="font-size:9px;">
      <td class="st" width="5%"><b><center>Номер</center></b></td>
		<td class="nd" width="5%"><b><center>Время действия(час.)</center></b></td>
    	<td class="d" width="5%"><b><center>Оператор/Цена</center></b></td>
    	 <td class="d" width="5%"><b><center>Действие</center></b></td>
      </tr>';
//Если  нет sms
if(!$all) echo '<div class="list1">Нет активных номеров.</div>';


//Выводим номера
for($i=1; $i<=$all; $i++)
{
if(!isset($array_id[$n]))
{
$n++;
continue;
}
if(is_integer($n / 2)) $row = '<div class="list1">'; else $row = '<div class="list2">';
$komments = mysql_fetch_array(mysql_query('SELECT * FROM `'.$setup['pref'].'smsnum`  WHERE `id` = '.$array_id[$n]));

$deladm= '<a href="apanel.php?action=smsnum&amp;id='.$array_id[$n].'"><font color="red"> Удалить</font></a>';
print '
<tr>
<td class="st" width="5%"><center><span style="color:#000F;text-decoration:none;"><b>'.$komments['num'].' </b></span></center></td>
<td class="d" width="5%"><center><span style="color:#000F;text-decoration:none;"><b>'.$komments['time'].'</b></span></center></td>
<td class="d" width="5%"><center><span style="color:#000F;text-decoration:none;"><b>'.$komments['value'].'</b></span></center></td>
<td class="d" width="5%"><center><span style="color:#000F;text-decoration:none;"><b>'.$deladm.'</b></span></center></td>
</tr>';
$n++;
}
echo ' </table></div>';
}
break;
#####################################МАРКИРОВКА
case 'mark':
if(!$_POST){
print '<div class="gmenu">Маркер картинок<br/>На картинки будет нанесена указанная надпись, удалить ее будет невозможно<br/></div>
<div class="list1">
<form action="apanel.php?action=mark" method="post">
Надпись<br/>
<input name="text" type="text"/><br/>
Расположение<br/>
<select name="y">
<option value="top">вверху</option>
<option value="foot">внизу</option>
</select><br/>
Шрифт<br/>
<input name="size" type="text" size="3" maxlength="1" value="2"/><br/>
Цвет<br/>
<input name="color[]" type="text" size="3" maxlength="3" value="200"/>
<input name="color[]" type="text" size="3" maxlength="3" value="200"/>
<input name="color[]" type="text" size="3" maxlength="3" value="200"/><br/>
<input class="buttom" type="submit" value="Готово"/>
</form>
</div>';
}
else{
@set_time_limit(0);

$q = mysql_query('SELECT `path` FROM `'.$setup['pref'].'files` WHERE `path` LIKE "%.jpg" OR `path` LIKE "%.jpe" OR `path` LIKE "%.jpeg" OR `path` LIKE "%.gif" OR `path` LIKE "%.png"');
$all = mysql_num_rows($q);
$i = 0;
while($arr = mysql_fetch_row($q)){

$path = pathinfo($arr[0]);
if($path['extension'] == 'gif'){
$pic = imageCreateFromGif($arr[0]);
$f = 'imageGif';
}
elseif($path['extension'] == 'png'){
$pic = imageCreateFromPng($arr[0]);
$f = 'imagePng';
}
elseif($path['extension'] == 'jpg' || $path['extension'] == 'jpe' || $path['extension'] == 'jpeg'){
$pic = imageCreateFromJpeg($arr[0]);
$f = 'imageJpeg';
}
if($pic){
// цвет
$color = imagecolorallocate($pic, $_POST['color'][0], $_POST['color'][1], $_POST['color'][2]);

// верх/низ
if($_POST['y']=='foot'){
$y = imageSY($pic)-($_POST['size']*8);
}
else{
$y = 1;
}

imagestring($pic, $_POST['size'], (imageSX($pic)/2)-(strlen($_POST['text'])*3), $y, $_POST['text'], $color);

if($f($pic,$arr[0],100))
$i++;
}
$pic = null;
}

print 'Всего картинок: '.$all.', промаркерованы: '.$i;
}
break;


// редактор MP3 тегов
case 'id3':

include 'moduls/id.php';
$id3 = &new MP3_Id();
$genres = $id3->genres();

if(!$_POST){

if($id){
$tmp = mysql_fetch_row(mysql_query('SELECT `path` FROM `'.$setup['pref'].'files` WHERE `id`='.$id.' LIMIT 1'));
$id3->read($tmp[0]);

function code($str){
$charset = strtolower(mb_detect_encoding($str, 'UTF-8, Windows-1251'));
if($charset != 'utf-8'){
$str = iconv('windows-1251','utf-8',$str);
}
return $str;
}

$name = code($id3->name);
$artists = code($id3->artists);
$album = code($id3->album);
$year = code($id3->year);
$track = code($id3->track);
$genre = code($id3->genre);
$comment = code($id3->comment);


print '<div class="gmenu">Редактор MP3 тегов<br/></div>
<div class="list1">
<form action="apanel.php?action=id3&amp;id='.$id.'" method="post">
Название<br/>
<input name="name" type="text" value="'.$name.'"/><br/>
Артист<br/>
<input name="artists" type="text" value="'.$artists.'"/><br/>
Альбом<br/>
<input name="album" type="text" value="'.$album.'"/><br/>
Год<br/>
<input name="year" type="text" value="'.$year.'"/><br/>
Трек<br/>
<input name="track" type="text" value="'.$track.'"/><br/>
Жанр<br/>
<select name="genre"><option value="'.$genre.'">'.$genre.'</option>';

foreach($genres as $var){
if($var == $genre){
continue;
}
$var = htmlspecialchars($var);
print '<option value="'.$var.'">'.$var.'</option>';
}

print '</select><br/>
Комментарии<br/>
<textarea name="comment" rows="2" cols="32">'.$comment.'</textarea><br/>
<input class="buttom" type="submit" value="Задать"/>
</form>
</div>';
}
else{
print '<div class="gmenu">Модуль задаст всем MP3 файлам указанные теги. Если поле пустое, то тег изменяться не будет<br/></div>
<div class="list1">
<form action="apanel.php?action=id3" method="post">
Название<br/>
<input name="name" type="text"/><br/>
Артист<br/>
<input name="artists" type="text"/><br/>
Альбом<br/>
<input name="album" type="text"/><br/>
Год<br/>
<input name="year" type="text"/><br/>
Трек<br/>
<input name="track" type="text"/><br/>
Жанр<br/>
<select name="genre"><option value=""></option>';

foreach($genres as $var){
$var = htmlspecialchars($var);
print '<option value="'.$var.'">'.$var.'</option>';
}

print '</select><br/>
Комментарии<br/>
<textarea name="comment" rows="2" cols="32"></textarea><br/>
<input class="buttom" type="submit" value="Задать"/>
</form>
</div>';
}
}
else{
if($id){
$tmp = mysql_fetch_row(mysql_query('SELECT `path` FROM `'.$setup['pref'].'files` WHERE `id`='.$id.' LIMIT 1'));
$id3->read($tmp[0]);

$id3->name = iconv('utf-8','windows-1251',$_POST['name']);
$id3->artists = iconv('utf-8','windows-1251',$_POST['artists']);
$id3->album = iconv('utf-8','windows-1251',$_POST['album']);
$id3->year = iconv('utf-8','windows-1251',$_POST['year']);
$id3->track = iconv('utf-8','windows-1251',$_POST['track']);
$id3->genre = iconv('utf-8','windows-1251',$_POST['genre']);
$id3->comment = iconv('utf-8','windows-1251',$_POST['comment']);

$id3->write();

print 'Теги изменены';
}
else{
$arr = array();

$q = mysql_query('SELECT TRIM(`path`) FROM `'.$setup['pref'].'files`');
while($f = mysql_fetch_row($q)){
if(strtoupper(strrchr($f[0],'.'))=='.MP3'){
$arr[] = $f[0];
}
}

if($_POST['name']!=''){
$_POST['name'] = iconv('utf-8','windows-1251',$_POST['name']);
}
if($_POST['artists']!=''){
$_POST['artists'] = iconv('utf-8','windows-1251',$_POST['artists']);
}
if($_POST['album']!=''){
$_POST['album'] = iconv('utf-8','windows-1251',$_POST['album']);
}
if($_POST['year']!=''){
$_POST['year'] = iconv('utf-8','windows-1251',$_POST['year']);
}
if($_POST['track']!=''){
$_POST['track'] = iconv('utf-8','windows-1251',$_POST['track']);
}
if($_POST['genre']!=''){
$_POST['genre'] = iconv('utf-8','windows-1251',$_POST['genre']);
}
if($_POST['comment']!=''){
$_POST['comment'] = iconv('utf-8','windows-1251',$_POST['comment']);
}

$all = sizeof($arr);
for($i=0; $i<=$all; ++$i){
$id3->read($arr[$i]);

if($_POST['name']!=''){
$id3->name = $_POST['name'];
}
if($_POST['artists']!=''){
$id3->artists = $_POST['artists'];
}
if($_POST['album']!=''){
$id3->album = $_POST['album'];
}
if($_POST['year']!=''){
$id3->year = $_POST['year'];
}
if($_POST['track']!=''){
$id3->track = $_POST['track'];
}
if($_POST['genre']!=''){
$id3->genre = $_POST['genre'];
}
if($_POST['comment']!=''){
$id3->comment = $_POST['comment'];
}
$id3->write();
}

print 'Теги заданы для '.$all.' файлов';
}
}
break;



#########################################ДОБАВЛЕНИЕ И ИЗМЕНЕНИЕ ОПИСАНИЯ#########################################
case 'fast':


$file = mysql_fetch_array(mysql_query('SELECT * FROM `'.$setup['pref'].'files` WHERE `id` = '.$id));
$filename = pathinfo($file['path']);
$filename = $filename['basename'];
$file_z=file_get_contents($setup['opath'].'/'.$filename.'.txt');
$file_f=$setup['opath'].'/'.$filename.'.txt';
echo '<div class="gmenu">'.$file_f.'</div>';
//////////////////////////

if(!$_POST)
{
echo '<div class="gmenu">Описание '.$file['name'].':</div>
<div class="list1">
<form action="apanel.php?action=fast&amp;id='.$id.'" method="post" name="REPLIER">
<textarea class="enter" cols="70" rows="10" name="text">'.htmlspecialchars($file_z).'</textarea><br/><br/>

<input class="buttom" type="submit" value="Написать"/>
</form></div>';
}
else
{
if($_POST['text']=='') $res='удалено!'; 
else $res='добавлено!';
$fp = fopen($file_f,"w+"); //Создаем файл
flock ($fp,LOCK_EX);
fputs($fp,bbcode(clean($_POST['text'])));
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);


echo 'Описание '.$res.'<br/><a href="apanel_view.php?id='.$id.'">К описанию</a>';}
break;


######################################ЛОГ######################################################
case 'pos':
$file_info = mysql_fetch_assoc(mysql_query('SELECT `name`,`path` FROM `'.$setup['pref'].'files` WHERE `id`='.$id));
if(!is_dir($file_info['path'])) die('Ошибка');
$file_info['name'] = str_replace('*','',$file_info['name']);
if($_GET['to'] == 'down'){
$query = 'UPDATE `'.$setup['pref'].'files` SET `priority`=`priority`-1 WHERE `id` = '.$id;
}
elseif($_GET['to'] == 'up'){
$query = 'UPDATE `'.$setup['pref'].'files` SET `priority`=`priority`+1 WHERE `id` = '.$id;
}
if(mysql_query($query)){
echo '<div class="gmenu">Приоритет каталога '.$file_info['name'].' изменен!</div>';
}
else{
echo '<div class="minizag">Ошибка при изменении приоритета</div>';
}
break;

######################################ЛОГ######################################################
case 'rot':
$delfiles = 0;
$reses = mysql_query('SELECT `id`,`path` FROM `'.$setup['pref'].'files`;');
while($array = mysql_fetch_assoc($reses)){
$array_path[$array['id']] = $array['path'];
}
foreach($array_path as $key=>$value){
if(file_exists($value)==false ){
$res = mysql_query('DELETE FROM `'.$setup['pref'].'files` WHERE `id` = '.$key);
$res = mysql_query('DELETE FROM `'.$setup['pref'].'komments` WHERE `file_id` = '.$key);
$delfiles++;
}
}
echo '<div class="gmenu">База данных успешно обновлена!</div><div class="list1">Удалено неверных записей: '.$delfiles.'</div>';
break;

######################################ЛОГ######################################################
case 'editabout':
$file_info = mysql_fetch_assoc(mysql_query('SELECT `id`,`fastabout`,`name`,`path` FROM `'.$setup['pref'].'files` WHERE `id` = '.$id));
$file_info['name'] = str_replace('*','',$file_info['name']);
if(!is_dir ($file_info['path']) and !is_file($file_info['path'])) die('Ошибка');
if(!$_POST){
echo '<div class="gmenu">Описание файла '.$file_info['name'].':</div>
<div class="list1">
<form action="apanel.php?action=editabout&amp;id='.$id.'" method="post" name="REPLIER">
<textarea class="enter" cols="50" rows="7" name="text">'.htmlspecialchars($file_info['fastabout']).'</textarea><br/><br/>
<input class="buttom" type="submit" value="Добавить"/>
</form>
</div>';
}
else{
$write_bd = mysql_query("UPDATE `files` SET fastabout='".bbcode(clean($_POST['text']))."' WHERE `id` = ".$id);
echo 'Быстрое описание изменено!';
}
break;
######################################Инфа (смс,переходы)######################################################
case 'smsinfo':
if(intval($_GET['id'])){ //удаление

$del = mysql_query('DELETE FROM `'.$setup['pref'].'smspas` WHERE `id` = '.intval($_GET['id']).' LIMIT 1');
if($del) $say= '<font color="red">Номер успешно удален!</font><br/>';
else $say= '<font color="red">Ошибка запроса!</font><br/>'; 
}
$gocount=file("gocount.txt");
// за сегодня
$today=@intval($gocount[0]);
// всего
$all=@intval($gocount[1]);
// дата последнего вызова
echo '<div class="menu">Активация ссылок :</div>
<div class="list1">
Сегодня: '.$today.' человек(а)<br/> 
Всего: '.$all.' человек(а)<br/>
</div><div class="menu">SMS :</div>';
/////////////////////////////////////////////////////////////////статистика отправленых смс
echo '<div class="list2"><table  width="40%" style="font-size:9px;" border="1">
    	<tr style="font-size:9px;">
      <td width="5%"><b><center>Номер</center></b></td>
     <td width="5%"><b><center>ID Оператора</center></b></td>
    <td width="5%"><b><center>Номер отправителя</center></b></td>
		<td width="5%"><b><center>Время действия(Остаток час.)</center></b></td>
    <td width="5%"><b><center>Пароль</center></b></td>
    <td width="5%"><b><center>Доход(usd)</center></b></td>
    <td width="5%"><b><center>ID партнера</center></b></td>
    <td width="5%"><b><center>Действие</center></b></td>
      </tr>';
    	
$query = mysql_query('SELECT * FROM `'.$setup['pref'].'smspas` ORDER BY `id_partner` DESC');
while($list_sw = mysql_fetch_array($query)){
$array_id[] = $list_sw['id'];
}
$all = sizeof($array_id);
$n = 0;
if(!$all) echo '<div class="list1">Нет смс поступлений.</div>';
//Выводим номера
for($i=1; $i<=$all; $i++)
{
if(!isset($array_id[$n]))
{
$n++;
continue;
}

$komments = mysql_fetch_array(mysql_query('SELECT * FROM `'.$setup['pref'].'smspas`  WHERE `id` = '.$array_id[$n]));
$times=intval(($komments['time']-$time)/3600);
if($times<0) $times='<font color="red">0</font>';
$deladm= '<a href="apanel.php?action=smsinfo&amp;id='.$array_id[$n].'"><font color="red"> Удалить</font></a>';
print '
<tr>
<td width="5%"><center><span style="color:#000F;text-decoration:none;"><b>'.$komments['num'].' </b></span></center></td>
<td width="5%"><center><span style="color:#000F;text-decoration:none;"><b>'.$komments['operator_id'].'</b></span></center></td>
<td width="5%"><center><span style="color:#000F;text-decoration:none;"><b>'.$komments['user_id'].'</b></span></center></td>
<td width="5%"><center><span style="color:#000F;text-decoration:none;"><b>'.$times.' </b></span></center></td>
<td width="5%"><center><span style="color:#000F;text-decoration:none;"><b>'.$komments['pas'].'</b></span></center></td>
<td width="5%"><center><span style="color:#000F;text-decoration:none;"><b>'.$komments['cost'].'</b></span></center></td>
<td width="5%"><center><span style="color:#000F;text-decoration:none;"><b>'.intval($komments['id_partner']).'</b></span></center></td>
<td width="5%"><center><span style="color:#000F;text-decoration:none;"><b>'.$deladm.'</b></span></center></td>
</tr>';
if(intval($komments['id_partner'])) $pallcost=$pallcost+$komments['cost']; //заработано партнерами
$allcost=$allcost+$komments['cost'];
$n++;
}
$zarp=$pallcost/100*$setup['pprocent'];
echo ' </table></div>
<div class="list1">
Всего sms: '.$all.'<br/>
Всего заработано: '.$allcost.'$<br/>
Заработано партнерами: '.$zarp.'$
</div>
';    	
////////////////////////////////////////////////////////////////
break;

######################################ЛОГ######################################################
case 'flash':
$file_info = mysql_fetch_assoc(mysql_query('SELECT `path` FROM `'.$setup['pref'].'files` WHERE `id` = '.$id.' AND `size` = 0;'));
if(!is_dir($file_info['path'])) die('Такой категории не существует.');
function scaner ($paths)
{
$paths = $paths.'/*';
$array = glob($paths);
static $file_aray;
foreach($array as $vv)
{
if(is_dir($vv)){
$file_aray[] = $vv.'/';
scaner($vv);
}
else{
if(basename($vv)=='folder.png') continue;
$file_aray[] = $vv;
}
}
return $file_aray;
}
$file_array = scaner(substr($file_info['path'],0,strlen($file_info['path'])-1));
$addfolder = $addfiles = $addfilesbad =0;
$reses = mysql_query('SELECT `id`,`path` FROM `'.$setup['pref'].'files`;');
while($array = mysql_fetch_assoc($reses)){
$array_path[$array['id']] = $array['path'];
}
foreach($file_array as $value){
if(@in_array($value,$array_path)===false)
{
$upltime = filectime($value);
$name = basename($value);
$pathinfo = pathinfo($value);
$ext = $pathinfo['extension'];
$name = str_replace('.'.$ext,'',$name);
$infolder = dirname($value).'/';
$size = filesize($value);
if(is_dir($value) AND preg_match('|([а-яА-Я]+)|',$name)==False){
if(strpos($name , '!') !== false){
$name = trans($name);
}
else{
$name = trans2($name);
}
mysql_query("INSERT INTO `".$setup['pref']."files` (`path`, `name`, `infolder`, `timeupload`, `loads`, `yes` ) VALUES ('$value', '*".$name."', '$infolder', '9999999999', '9999999999', '9999');");
$addfolder++;
}
elseif(preg_match('|([а-яА-Я]+)|',$name)==False){
if(strpos($name , '!') !== false){
$name = trans($name);
}
else{
$name = trans2($name);
}
mysql_query("INSERT INTO `".$setup['pref']."files` (`path`, `name`, `infolder`, `size` , `timeupload`) VALUES ('$value', '$name', '$infolder' , '$size' , '$upltime');");
$addfiles++;
}
else $addfilesbad++;
}
}
echo '<div class="menu">База данных успешно обновлена!</div><div class="list1">Добавлено папок: '.$addfolder.' <br/>Добавлено файлов: '.$addfiles.'<br/>';
if ($addfilesbad>0) echo 'Не Добавлено:'.$addfilesbad.'</div>';
break;
######################################ЛОГ######################################################
case 'flash1':
$file_info = mysql_fetch_assoc(mysql_query('SELECT `path` FROM `'.$setup['pref'].'files` WHERE `id` = '.$id.' AND `size` = 0;'));
if(!is_dir($file_info['path'])) die('Такой категории не существует.');
function scaner ($paths)
{
$paths = $paths.'/*';
$array = glob($paths);
static $file_aray;
foreach($array as $vv)
{
if(is_dir($vv)){
$file_aray[] = $vv.'/';
scaner($vv);
}
else{
if(basename($vv)=='folder.png') continue;
$file_aray[] = $vv;
}
}
return $file_aray;
}
$file_array = scaner(substr($file_info['path'],0,strlen($file_info['path'])-1));
$addfolder = $addfiles = 0;
$reses = mysql_query('SELECT `id`,`path` FROM `'.$setup['pref'].'files`;');
while($array = mysql_fetch_assoc($reses)){
$array_path[$array['id']] = $array['path'];
}
foreach($file_array as $value){
if(@in_array($value,$array_path)===false)
{
$upltime = filectime($value);
$name = basename($value);
$pathinfo = pathinfo($value);
$ext = $pathinfo['extension'];
$name = str_replace('.'.$ext,'',$name);
$infolder = dirname($value).'/';
$size = filesize($value);
if(strpos($name , '!') !== false){
$name = trans($name);
}
else{
$name = trans2($name);
}
if(is_dir($value)){

}
else{
$query = mysql_query("INSERT INTO `".$setup['pref']."files` (`path`, `name`, `infolder`, `size` , `timeupload`) VALUES ('$value', '$name', '$infolder' , '$size' , '$upltime');");
$addfiles++;
}
}
}
echo '<div class="gmenu">База данных успешно обновлена!</div><div class="list1">Добавлено файлов: '.$addfiles.'</div>';
break;
######################################ЛОГ######################################################
case 'log':
$query = mysql_query('SELECT * FROM `'.$setup['pref'].'loginlog` WHERE `id` > 1 ORDER BY `time` DESC;');
echo '<div class="gmenu">Лог последних 20 посещений админки([UserAgent][IP][Time]):</div><div class="list1">';
while($log = mysql_fetch_assoc($query)){
echo '<strong>[</strong>'.$log['ua'].'<strong>][</strong>'.$log['ip'].'<strong>][</strong>'.date('d.m.Y (H:i)',$log['time']).'<strong>]</strong><br/>';
}
echo '</div>';
break;

######################################ЛОГ######################################################
case 'addico':
$file_info = mysql_fetch_assoc(mysql_query('SELECT * FROM `'.$setup['pref'].'files` WHERE `id` = '.$id));
if(!$_FILES)
{
echo '<div class="gmenu">Загрузка иконки к папке</div>
<div class="list1">
<form action="apanel.php?action=addico&amp;id='.$id.'" method="post" enctype="multipart/form-data">
Файл будет скопирован в назначеную папку:<br/>
<input name="ico" type="file"/><br/>
<input class="buttom" type="submit" value="Добавить"/>
</form>
</div>';
}
else
{
$name = $_FILES['ico']['name'];
$ext = pathinfo($name);
$ext = strtolower($ext['extension']);
$to = $file_info['path'].'folder.png';
if($ext=='php' or $ext=='php3' or $ext=='php4' or $ext=='php5' or $ext=='php6' or $ext=='phtml' or $ext=='cgi' or $ext=='asp' or $ext=='js' or $ext=='phtm' or $ext=='py' or $ext=='pl') die ($setup['hackmess']);
if($ext!='png') die('Поддерживаются иконки только png формата');
if(file_exists($to)) die('Файл уже существует');
chmod($file_info['path'], 0777);
if(move_uploaded_file($_FILES['ico']['tmp_name'], $to))
{
echo 'Закачка иконки прошла успешно.<br/>';
chmod($to, 0644);
}
else{
echo 'Закачка иконки окончилась неудачно.<br/>';
//chmod($file_info['path'], 0777);
}
}
break;

######################################ЛОГ######################################################
case 'reico':
$file_info = mysql_fetch_assoc(mysql_query('SELECT * FROM `'.$setup['pref'].'files` WHERE `id` = '.$id));
if(!file_exists($file_info['path'].'folder.png')) die('Иконки к данной папке не существует');
chmod($file_info['path'].'folder.png',0777);
if(unlink($file_info['path'].'folder.png')) echo 'Удаление иконки прошло успешно.<br/>';
else echo 'Удаление иконки окончилось неудачно.<br/>';
break;

######################################РАСПАКОВЩИК###############################################
case 'unpack':
$file = mysql_fetch_assoc(mysql_query('SELECT * FROM `'.$setup['pref'].'files` WHERE `id` = '.$id));
$dir = dirname($file['path']).'/';
chmod($folder['path'], 0777);
include 'moduls/pclzip.lib.php';
$zip = new PclZip($file['path']);
if(!$zip->extract(PCLZIP_OPT_PATH, $dir)) die('Ошибка при распаковке.'); else die('Ахрив распакован в '.$dir.'<br/>Не забудьте обновить БД.');
chmod($folder['path'], 0777);
break;

######################################УДАЛЕНИЕ ПАПКИ######################################################
case 'redir':
if($setup['delete_dir']==0) die($hackmess);
if(!$_GET['level']){
echo 'Будут удалены все файлы в каталоге,а также сам каталог. Продолжить?<br/><a href="apanel.php?action=redir&amp;level=1&amp;id='.$id.'">Да, продолжить</a>';
}
else{
$file = mysql_fetch_assoc(mysql_query('SELECT * FROM `'.$setup['pref'].'files` WHERE `id` = '.$id.' ORDER BY `name`;'));
if(!is_dir ($file['path'])) die('Такой категории не существует!');

$ex = explode('/',$file['path']);
$f_chmod = null;
foreach($ex as $chmod){
$f_chmod.=$chmod.'/';
chmod($f_chmod,0777);
}

$array = glob($file['path'].'*');
foreach($array as $vv){
if(is_dir($vv)) die('Разрешено удалять только папки с 1 уровнем вложенности!');
else{
if(!unlink($vv)) die('Ошибка при удалении файла '.$vv);
}
}
$query = mysql_query("DELETE FROM `".$setup['pref']."files` WHERE `infolder` = '".$file['path']."'") or die('Ошибка при удалении файлов из базы');

if(!rmdir($file['path'])) die('Ошибка при удалении каталога');
$query = mysql_query('DELETE FROM `'.$setup['pref'].'files` WHERE `id` = '.$id) or die('Ошибка при удалении каталога из базы');


$f_chmod = null;
foreach($ex as $chmod){
$f_chmod.=$chmod.'/';
if($f_chmod!=$setup['path'].'/'){
chmod($f_chmod.'/',0777);
}
}


echo 'Каталог успешно удален!';
}
break;

######################################Полное УДАЛЕНИЕ ФАЙЛА###############################################
case 'refile':
if($setup['delete_dir']==0) die($hackmess);

$file = mysql_fetch_assoc(mysql_query('SELECT * FROM `'.$setup['pref'].'files` WHERE `id` = '.$id.' ORDER BY `name`;'));
if(!is_file ($file['path'])) die('Такого файла не существует!');

$nf = pathinfo($file['path']);  //удаляем скрин
$filename = $nf['basename'];
chmod($setup['spath'], 0777);
unlink ($setup['spath'].'/'.$filename.'.gif');//удаляем скрин
unlink ($setup['opath'].'/'.$filename.'.txt');//удаляем описание

$ex = explode('/',$file['path']);
$f_chmod = null;
foreach($ex as $chmod){
$f_chmod.=$chmod;
if(is_dir($f_chmod)){
$f_chmod = $f_chmod.'/';
}

chmod($f_chmod,0777);
}

if(!unlink($file['path'])) die('Ошибка при удалении файла '.$file['path']);
$query = mysql_query('DELETE FROM `'.$setup['pref'].'files` WHERE `id` = '.$id) or die('Ошибка при удалении файла из базы');

$f_chmod = null;
foreach($ex as $chmod){
$f_chmod.=$chmod;
if(is_dir($f_chmod)){
$f_chmod = $f_chmod.'/';
}

if($f_chmod!=$setup['path'].'/'){
chmod($f_chmod,0777);
}
}


echo 'Файл <strong>'.$file['name'].'</strong> удален!';
break;

######################################РЕКЛАМА##################################################
case 'buy':
if(!$_POST)
{
$file = mysql_fetch_array(mysql_query('SELECT * FROM `'.$setup['pref'].'files` WHERE `id` = '.clean($id)));
echo '<div class="menu">Рекламный блок верх:</div>

<form action="apanel.php?action=buy" method="post"><div class="list1">
<textarea class="enter" cols="40" rows="10" name="text">'.$setup['buy'].'</textarea></div>
<div class="menu">Рекламный блок низ:</div>
<div class="list1"><textarea class="enter" cols="40" rows="10" name="buy2">'.$setup['buy2'].'</textarea></div><div class="list1">
<input name="randbuy" type="checkbox" value="1" '.check($setup['randbuy']).'/>Вывод случайной ссылки<br/>
<input name="buy_change" type="checkbox" value="ON" '.check($setup['buy_change']).'/>Вкл.</div><div class="list1">
<input class="buttom" type="submit" value="Сохранить"/></div></form>';
}
else
{
$_POST['randbuy'] = intval($_POST['randbuy']);
if($_POST['text']=='') die('Не заполнено поле.');
$query = mysql_query("UPDATE `zc_setting` SET `value`='".clean($_POST['text'])."' WHERE `name` = 'buy';");
$query = mysql_query("UPDATE `zc_setting` SET `value`='".clean($_POST['buy2'])."' WHERE `name` = 'buy2';");
if ($_POST['buy_change'] == 'ON') $_POST['buy_change']=1; else $_POST['buy_change']=0;
$query = mysql_query("UPDATE `zc_setting` SET `value` = '".intval($_POST['buy_change'])."' WHERE `name` = 'buy_change';");
$query = mysql_query("UPDATE `zc_setting` SET `value`='".$_POST['randbuy']."' WHERE `name` = 'randbuy';");
echo 'Настройки сохранены.';
}
break;
######################################РЕКЛАМА ВНИЗУ счетчики,баннеры
case 'buy3':
if(!$_POST)
{
$file = mysql_fetch_array(mysql_query('SELECT * FROM `'.$setup['pref'].'files` WHERE `id` = '.clean($id)));
echo '
<form method="post" action="apanel.php?action=buy3">
<div class="list1"><textarea class="enter" cols="40" rows="10" name="buy3">'.$setup['buy3'].'</textarea><br/>
<input class="buttom" type="submit" value="Сохранить"/></div></form>';
}
else
{
$query = mysql_query("UPDATE `zc_setting` SET `value`='".clean($_POST['buy3'])."' WHERE `name` = 'buy3';");
echo 'Настройки сохранены.';
}
break;
######################################ПЕРЕИМЕНОВАНИЕ##################################################
case 'rename':

$file = mysql_fetch_assoc(mysql_query('SELECT * FROM `'.$setup['pref'].'files` WHERE `id` = '.$id));
if(!$_POST)
{
if(is_dir($file['path'])) $file['name'] = str_replace('*','',$file['name']);
echo '<div class="gmenu">Введите новое имя:</div>
<div class="list1">
<form method="post" action="apanel.php?action=rename&amp;id='.$id.'">
<input class="enter" type="text" name="newname" size="70" value="'.$file['name'].'"/><br/>
<input class="buttom" type="submit" value="Готово" />
</form></div>';
}
else
{
$newname = clean(del($_POST['newname']));
if(is_dir($file['path'])) $newname = '*'.$newname;
$query = mysql_query("UPDATE `".$setup['pref']."files` SET name='".$newname."' WHERE `id` = ".$id);
$error = mysql_error();
if($error) die('Ошибка при переименовании.<br/>'.$error);
echo 'Файл переименован.';
}
break;

#########################################ОЧИСТКА КОММЕНТОВ К ФАЙЛУ#########################################
case 'clearkomm':
$query = mysql_query('DELETE FROM `'.$setup['pref'].'komments` WHERE `file_id` = '.$id);
$error = mysql_error();
if($error) die('Ошибка при сбросе.<br/>'.$error);
echo 'Комментарии удалены.';
break;

##############################################ОЧИСТКА РЕЙТИНГА К ФАЙЛУ#######################################
case 'cleareval':
$query = mysql_query('UPDATE `files` SET `ips`="",`yes`=0,`no`=0 WHERE `id` = '.$id);
$error = mysql_error();
if($error) die('Ошибка при сбросе.<br/>'.$error);
echo 'Рейтинг удален.';
break;

#############################################ОПТИМИЗАЦИЯ БД###########################################
case 'optm':
mysql_query('OPTIMIZE TABLE `files`;');
mysql_query('OPTIMIZE TABLE `komments`;');
mysql_query('OPTIMIZE TABLE `loginlog`;');
mysql_query('OPTIMIZE TABLE `online`;');
mysql_query('OPTIMIZE TABLE `zc_setting`;');
echo 'Базы данных оптимизированы.';
break;

################################################ОЧИСТКА БД########################################
case 'clean':
if(!$_GET['level'])
{
echo 'Будут удалены все данные БД, включая описания,счетчики закачек,рейтинги и комментарии.Продолжить?<br/><a href="apanel.php?action=clean&amp;level=1">Да, продолжить</a>';
}
else
{
mysql_query('TRUNCATE TABLE `files`;');
mysql_query('TRUNCATE TABLE `komments`;');

echo 'Базы данных очищены.<br/>';
}
break;

##########################################ОЧИСТКА ВСЕХ КОММЕНТОВ##############################################
case 'cleankomm':
if(!$_GET['level'])
{
echo 'Будут удалены все комментарии к файлам! Продолжить?<br/><a href="apanel.php?action=cleankomm&amp;level=1">Да, продолжить</a>';
}
else
{
$result = mysql_query('TRUNCATE TABLE `komments`;');
echo 'База данных комментариев очищена.<br/>';
}
break;

#########################################ДОБАВЛЕНИЕ И ИЗМЕНЕНИЕ ОПИСАНИЯ#########################################
case 'about':

$file = mysql_fetch_assoc(mysql_query('SELECT * FROM `'.$setup['pref'].'files` WHERE `id` = '.$id));
if(!$_POST)
{
echo '<div class="gmenu">Описание файла '.$file['name'].':</div>
<div class="list1">
<form action="apanel.php?action=about&amp;id='.$id.'" method="post" name="REPLIER">
<textarea class="enter" cols="70" rows="10" name="text">'.htmlspecialchars($file['about']).'</textarea><br/><br/>
<input class="buttom" type="submit" value="Написать"/></form></div>';
}
else
{
if($_POST['text']=='') $res='удалено'; else $res='добавлено';
$filename = pathinfo($file['path']);
$dir = $filename['dirname'];
$back = mysql_fetch_assoc(mysql_query("SELECT `id` FROM `".$setup['pref']."files` WHERE `path` = '".bbcode(clean($dir))."';"));
$write_bd = mysql_query("UPDATE `files` SET about='".bbcode(clean($_POST['text']))."' WHERE `id` = ".$id);
echo "Описание $res
<br/><a href='apanel_index.php?id=".$back['id']."'>Файл-менеджер</a>
<br/><a href='apanel_view.php?id=".$id."'>К описанию</a>";
}
break;

#########################################ИМПОРТ####################################################################
case 'import':
if(!$_POST)
{
$dirs = mysql_query('SELECT `path` FROM `'.$setup['pref'].'files` WHERE `size` = 0');
echo '<div class="gmenu">Импорт файлов</div>
<div class="list1">
Сохранить в:<br/>
<form action="apanel.php?action=import" method="post" name="REPLIER">
<select class="buttom" size="1" width="40" name="topath"><option value="'.$setup['path'].'/">./</option>';
while($item = mysql_fetch_assoc($dirs)){
$name = str_replace($setup['path'].'/','',$item['path']);
$path = explode('/',$name);
$option = '';
unset($path[sizeof($path)-1]);
foreach($path as $value){
if(strpos($value , '!') !== false) $name = trans($value); else $name = $value;
$option = $option.$name.'/';
}
echo '<option value="'.$item['path'].'">'.$option.'</option>';
}

echo '</select><br/>
Файлы:<br/>
<textarea class="enter" cols="40" rows="10" name="files"></textarea><br/><br/>
<input class="buttom" type="submit" value="Импорт"/>
</form></div>';
}
else
{
$newpath = trim($_POST['topath']);
if(empty($newpath)) die ('Нет конечного пути!');
$text=explode("\n",$_POST['files']);
for($i=0; $i<sizeof($text); $i++)
{
$parametr = explode('#',trim($text[$i]));
if(!isset($parametr[1])) $parametr[1] = basename(trim($parametr[0]));
$to = $newpath.trim($parametr[1]);
if(file_exists($to)) die('Файл '.$to.' уже существует<br/>');
$ex = pathinfo(trim($parametr[0]));
$ext = strtolower($ex['extension']);
if($ext=='php' or $ext=='php3' or $ext=='php4' or $ext=='php5' or $ext=='php6' or $ext=='phtml' or $ext=='cgi' or $ext=='asp' or $ext=='js' or $ext=='phtm' or $ext=='py' or $ext=='pl') die ($setup[hackmess]);
chmod($newpath, 0777);

@ini_set('user_agent',$_SERVER['HTTP_USER_AGENT']);
if(copy(trim($parametr[0]),$to))
{
echo 'Импорт файла '.$parametr[1].' удался<br/>';
$upltime = filectime($to);
$ex = pathinfo($to);
$ex = $ex['extension'];
$name = str_replace('.'.$ex,'',basename($to));
if(strpos($name , '!') !== false){
$name = trans($name);
}
else{
$name = trans2($name);
}
$size = filesize($to);
$infolder = dirname($to).'/';
$query = mysql_query("INSERT INTO `".$setup['pref']."files` (`path`, `name`, `infolder`, `size` , `timeupload`) VALUES ('$to', '$name', '$infolder' , '$size' , '$upltime');");
}
else echo 'Импорт файла '.$parametr[1].' не удался<br/>';
}
chmod($newpath, 0777);
}
break;
#####################################Загрузка файлов###################################################
case 'newfile':
if(!$_FILES['userfile']['name'])
{
echo '<div class="gmenu">Upload файлов (max '.ini_get('upload_max_filesize').')</div>
<div class="list1">
<form action="apanel.php?id='.$id.'&amp;action=newfile'.($_GET['idfile']?'&amp;idfile='.$_GET['idfile'].'':'').'" method="post" enctype="multipart/form-data">
Файл:<br/>
<input name="userfile" type="file"/><br/>
'.($_GET['idfile']? '':'Скрин:<br/>
<input name="scr" type="file"/><br/>').'
Описание:<br/>
<textarea name="text" cols="24" rows="6"></textarea><br/><br/>
<input class="buttom" type="submit" value="Добавить"/>
</form></div>';
}
else
{

$dir = mysql_fetch_array(mysql_query('SELECT `path` FROM `'.$setup['pref'].'files` WHERE `id` = '.$id));
$newpath = trim($dir['path']);

$name = $_FILES['userfile']['name'];
$ex = pathinfo($name);
$ext = strtolower($ex['extension']);
$to = $newpath.$name;
if($ext=='php' or $ext=='php3' or $ext=='php4' or $ext=='php5' or $ext=='php6' or $ext=='phtml' or $ext=='cgi' or $ext=='asp' or $ext=='js' or $ext=='phtm' or $ext=='py' or $ext=='pl') die ($setup[hackmess]);
if(file_exists($to)) echo'Файл уже существует';
else{
chmod($newpath, 0777);
if(move_uploaded_file($_FILES['userfile']['tmp_name'], $to))
{
echo 'Закачка файла '.$name.' прошла успешно.<br/>';
$upltime = filectime($to);
$ex = pathinfo($to);
$ex = $ex['extension'];
$name = str_replace('.'.$ex,'',basename($to));
$size = filesize($to);
$infolder = dirname($to).'/';
if(strpos($name , '!') !== false){
$name = trans($name);
}
else{
$name = trans2($name);
}
$idfile=intval($_GET['idfile']);
$text=clean($_POST['text']);
$query = mysql_query("INSERT INTO `".$setup['pref']."files` (`file_id`, `path`, `name`, `infolder`, `size` , `about`, `timeupload`, `user_id`, `open`) VALUES ('$idfile', '$to', '$name', '".($idfile>0 ? '':$infolder)."' , '$size' , '".($idfile>0? $text:'')."' , '$upltime', '$user_id', 0);");

chmod($to, 0644); 
if(!$_GET['idfile']){
if($_POST['text']!=''){  //описание
$file_f=$setup['opath'].'/'.$name.'.'.$ext.'.txt';
$fp = fopen($file_f,"w+"); //Создаем файл
flock ($fp,LOCK_EX);
fputs($fp,$text);
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
echo 'Описание успешно добавлено.<br/>';
}

$name2 = $_FILES['scr']['name'];
$ex = pathinfo($name2);
$ext2 = strtolower($ex['extension']);
$to = $setup['spath'].'/'.$name.'.'.$ext.'.gif';
if($ext2!='gif' && $ext2!='GIF' && $ext2!='jpg' && $ext2!='jpe' && $ext2!='jpeg' && $ext2!='png') echo'Поддерживаются скриншоты только gif, jpeg, png форматов';
if(file_exists($to))echo'Файл '.$to.' уже существует';
else {
chmod($setup['spath'], 0777);
if(move_uploaded_file($_FILES['scr']['tmp_name'], $to)){
echo 'Закачка скрина '.$name.' прошла успешно.<br/>';

chmod($to,0666);

if($ext2=='jpg' || $ext2=='jpe' || $ext2=='jpeg'){
$im = imagecreatefromjpeg($to);
imagegif($im,$to);
imagedestroy($im);
}
elseif($ext2=='png'){
$im = imagecreatefrompng($to);
imagegif($im,$to);
imagedestroy($im);
}
}

else{
echo 'Закачка скрина окончилась неудачно.<br/>';
}}
}
}
else echo 'Закачка файла '.$name.' окончилась неудачно.<br/>';
chmod($newpath, 0777);
}}
echo '<div class="list1"><a href="apanel_index.php?id='.$id.'">В категорию</a></div>';
break;
#####################################АПЛОАД скрина###################################################
case 'screen':
$info = mysql_fetch_assoc(mysql_query('SELECT * FROM `'.$setup['pref'].'files` WHERE `id` = '.$id));
$nf = pathinfo($info['path']);
$filename = $nf['basename'];
if(!is_file($setup['spath'].'/'.$filename.'.gif')){
if(!$_FILES)
{
echo '<div class="gmenu">Загрузка скрина</div>
<div class="list1">
<form action="apanel.php?action=screen&amp;id='.$id.'" method="post" enctype="multipart/form-data">
Файл будет скопирован в папку со скриншотами:<br/>
<input name="scr" type="file"/><br/>
<input class="buttom" type="submit" value="Добавить"/>
</form></div>';
}
else
{
$name = $_FILES['scr']['name'];
$ex = pathinfo($name);
$ext = strtolower($ex['extension']);
$filenm = pathinfo($info['path']);
$to = $setup['spath'].'/'.$filenm['basename'].'.gif';
if($ext!='gif' && $ext!='jpg' && $ext!='jpe' && $ext!='jpeg' && $ext!='png') die('Поддерживаются скриншоты только gif, jpeg, png форматов');
if(file_exists($to)) die('Файл уже существует');
chmod($setup['spath'], 0777);

if(move_uploaded_file($_FILES['scr']['tmp_name'], $to)){
echo 'Закачка скрина '.$name.' прошла успешно.<br/>';

chmod($to,0666);

if($ext=='jpg' || $ext=='jpe' || $ext=='jpeg'){
$im = imagecreatefromjpeg($to);
imagegif($im,$to);
imagedestroy($im);
}
elseif($ext=='png'){
$im = imagecreatefrompng($to);
imagegif($im,$to);
imagedestroy($im);
}

}
else{
echo 'Закачка скрина '.$name.' окончилась неудачно.<br/>';
}
}
}
else {
chmod($setup['spath'], 0777);
unlink ($setup['spath'].'/'.$filename.'.gif');
}
break;
#####################################АПЛОАД скрина для описаний###################################################
case 'screen1':
$info = mysql_fetch_assoc(mysql_query('SELECT * FROM `'.$setup['pref'].'files` WHERE `id` = '.$id));
$nf = pathinfo($info['path']);
$filename = $nf['basename'];
if(is_file($setup['spath'].'/'.$filename.'.gif')) //если есть скрин
 {
 echo '<font color="red">Срин уже существует:</font><a href="'.$setup['spath'].'/'.$filename.'.gif">Просмотреть</a>/<a href="apanel.php?action=delscreen&amp;id='.$id.'">Удалить</a><br/>';

 }
else { 
if(!$_FILES)
{
echo '<div class="gmenu">Загрузка скрина</div>
<div class="list1">
<form action="apanel.php?action=screen1&amp;id='.$id.'" method="post" enctype="multipart/form-data">
Файл будет скопирован в папку со скриншотами:<br/>
<input name="scr" type="file"/><br/>
<input class="buttom" type="submit" value="Добавить"/>
</form>';
}
else
{
$name = $_FILES['scr']['name'];
$ex = pathinfo($name);
$ext = strtolower($ex['extension']);
$filenm = pathinfo($info['path']);
$to = $setup['spath'].'/'.$filenm['basename'].'.gif';
if($ext!='gif' && $ext!='jpg' && $ext!='jpe' && $ext!='jpeg' && $ext!='png') die('Поддерживаются скриншоты только gif, jpeg, png форматов');
if(file_exists($to)) die('Файл уже существует');
chmod($setup['spath'], 0777);

if(move_uploaded_file($_FILES['scr']['tmp_name'], $to)){
echo 'Закачка скрина '.$name.' прошла успешно.<br/>';
 echo '<a href="'.$setup['spath'].'/'.$filename.'.gif">Просмотреть</a>/<a href="apanel.php?action=delscreen&amp;id='.$id.'">Удалить</a><br/>';
chmod($to,0666);

if($ext=='jpg' || $ext=='jpe' || $ext=='jpeg'){
$im = imagecreatefromjpeg($to);
imagegif($im,$to);
imagedestroy($im);
}
elseif($ext=='png'){
$im = imagecreatefrompng($to);
imagegif($im,$to);
imagedestroy($im);
}

}
else{
echo 'Закачка скрина '.$name.' окончилась неудачно.<br/>';
}
}
}
echo '<div class="list1"><a href="bioread.php?action=2">К менеджеру описаний</a><br/>';
print '</div>';
break;

case 'delscreen':
$info = mysql_fetch_assoc(mysql_query('SELECT * FROM `'.$setup['pref'].'files` WHERE `id` = '.$id));
$nf = pathinfo($info['path']);
$filename = $nf['basename'];
chmod($setup['spath'], 0777);
unlink ($setup['spath'].'/'.$filename.'.gif');
echo'Скрин успешно удален.';
print '<div class="list1"><a href="apanel.php?action=screen1">Загрузить скриншот</a></div>';
echo '<div class="list1"><a href="bioread.php?action=2">К менеджеру описаний</a><br/>';
print '</div>';
break;

#####################################АПЛОАД###################################################
case 'upload':
if(!$_POST)
{
$dirs = mysql_query('SELECT `path` FROM `'.$setup['pref'].'files` WHERE `size` = 0');

echo '<div class="gmenu">Upload файлов (max '.ini_get('upload_max_filesize').')</div>
<div class="list1">
Сохранить в:<br/>
<form action="apanel.php?action=upload" method="post" enctype="multipart/form-data">
<select class="buttom" size="1" width="70" name="topath"><option value="'.$setup['path'].'/">./</option>';
while($item = mysql_fetch_assoc($dirs))
{
$name = str_replace($setup['path'].'/','',$item['path']);
$path = explode('/',$name);
$option = '';
unset($path[sizeof($path)-1]);
foreach($path as $value)
{
if(strpos($value , '!') !== false) $name = trans($value); else $name = $value;
$option = $option.$name.'/';
}
echo '<option value="'.$item['path'].'">'.$option.'</option>';
}
echo '</select><br/>
Добавить файлы:<br/>
<input name="userfile[]" type="file"/><br/>
<input name="userfile[]" type="file"/><br/>
<input name="userfile[]" type="file"/><br/>
<input name="userfile[]" type="file"/><br/>
<input name="userfile[]" type="file"/><br/>
<input class="buttom" type="submit" value="Добавить"/>
</form></div>';
}
else
{
$newpath = trim($_POST['topath']);
if(empty($newpath)) die ('Нет конечного пути! '.$newpath);
for($i=0; $i<sizeof($_FILES['userfile']['name']); $i++)
{
if(empty($_FILES['userfile']['name'][$i])){
continue;
}
$name = $_FILES['userfile']['name'][$i];
$ex = pathinfo($name);
$ext = strtolower($ex['extension']);
$to = $newpath.$name;
if($ext=='php' or $ext=='php3' or $ext=='php4' or $ext=='php5' or $ext=='php6' or $ext=='phtml' or $ext=='cgi' or $ext=='asp' or $ext=='js' or $ext=='phtm' or $ext=='py' or $ext=='pl') die ($setup[hackmess]);
if(file_exists($to)) die('Файл уже существует');
chmod($newpath, 0777);
if(move_uploaded_file($_FILES['userfile']['tmp_name'][$i], $to))
{
echo 'Закачка файла '.$name.' прошла успешно.<br/>';
$upltime = filectime($to);
$ex = pathinfo($to);
$ex = $ex['extension'];
$name = str_replace('.'.$ex,'',basename($to));
$size = filesize($to);
$infolder = dirname($to).'/';
if(strpos($name , '!') !== false){
$name = trans($name);
}
else{
$name = trans2($name);
}

$query = mysql_query("INSERT INTO `".$setup['pref']."files` (`path`, `name`, `infolder`, `size` , `timeupload`) VALUES ('$to', '$name', '$infolder' , '$size' , '$upltime');");
chmod($to, 0644);
}
else echo 'Закачка файла '.$name.' окончилась неудачно.<br/>';
}
chmod($newpath, 0777);
}
break;

######################################СОЗДАНИЕ НОВОГО КАТАЛОГА##############################################
case 'newdir':
if(!$_POST)
{
echo '<div class="gmenu">Создание новой категории:</div>
<div class="list1">
<form action="apanel.php?action=newdir&amp;id='.$id.'" method="post">
Имя новой папки:<br/>
<input class="enter" name="dirnew" type="text" size="70" value=""/><br/>
<input name="tr" type="checkbox" value="1" checked="checked"/>Перевод (если имеются русские буквы - ВКЛЮЧИТЬ ОБЯЗАТЕЛЬНО!)<br/>
<input class="buttom" type="submit" value="Добавить"/>
</form></div>';
}
else{
if(empty($_POST['dirnew'])){
die('Не заполнено поле!');
}
$dirnew = clean(del($_POST['dirnew']));
$name = '*'.$dirnew;

if($_POST['tr'] == 1){
$dirnew = '!'.retrans($dirnew);
}
if(!$id){
$d['path'] = $setup['path'].'/';
}
else{
$d = mysql_fetch_assoc(mysql_query('SELECT * FROM `'.$setup['pref'].'files` WHERE `id` = '.$id));
}
chmod($d['path'],0777);
$dirnew = trim($d['path']).trim($dirnew).'/';
if(mkdir($dirnew, 0777) AND $query = mysql_query("INSERT INTO `".$setup['pref']."files` (`path`, `name`, `infolder`, `timeupload`, `loads`, `yes` ) VALUES ('".$dirnew."', '$name', '".$d['path']."', '9999999999', '9999999999', '9999');"))
{
chmod($dirnew, 0777);
echo 'Новый каталог создан.';
}
else{
echo 'Ошибка при создании нового каталога.';
//chmod($d['path'],0777);
}
}
break;

#########################################ИЗМЕНЕНИЕ МОДУЛЕЙ###############################################
case 'modules':
if(!$_POST)
{
echo '<div class="gmenu">Управления модулями:</div>
<form action="apanel.php?action=modules" method="post">
<div class="list1">
<input name="adr" type="checkbox" value="ON" '.check($setup['adr']).'/>Прямой адрес к файлу<br/>
<input name="partner" type="checkbox" value="ON" '.check($setup['partner']).'/>Партнерка<br/>
<input name="obm" type="checkbox" value="ON" '.check($setup['obm']).'/>Обменник<br/>
<input name="komments_change" type="checkbox" value="ON" '.check($setup['komments_change']).'/>Комментарии<br/>
<input name="eval_change" type="checkbox" value="ON" '.check($setup['eval_change']).'/>Рейтинг<br/>
<input name="jad_change" type="checkbox" value="ON" '.check($setup['jad_change']).'/>Генератор Jad<br/>
<input name="cut_change" type="checkbox" value="ON" '.check($setup['cut_change']).'/>Нарезчик MP3<br/>
<input name="zip_change" type="checkbox" value="ON" '.check($setup['zip_change']).'/>Просмотр архивов<br/>
<input name="zakaz" type="checkbox" value="ON" '.check($setup['zakaz']).'/>Стол заказов<br/>
<input name="buy_change" type="checkbox" value="ON" '.check($setup['buy_change']).'/>Рекламный блок<br/>
<input name="onpage_change" type="checkbox" value="ON" '.check($setup['onpage_change']).'/>Меню выбора кол-ва файлов на страницу<br/>
<input name="preview_change" type="checkbox" value="ON" '.check($setup['preview_change']).'/>Меню выбора отображения предосмотра<br/>
<input name="top_change" type="checkbox" value="ON" '.check($setup['top_change']).'/>ТОП<br/>
<input name="new_change" type="checkbox" value="ON" '.check($setup['new_change']).'/>Новинки<br/>
<input name="new_komm" type="checkbox" value="ON" '.check($setup['new_komm']).'/>Последние коментарии<br/>
<input name="stat_change" type="checkbox" value="ON" '.check($setup['stat_change']).'/>Статистика<br/>
<input name="pagehand_change" type="checkbox" value="ON" '.check($setup['pagehand_change']).'/>Ручной ввод страниц<br/>
<input name="search_change" type="checkbox" value="ON" '.check($setup['search_change']).'/>Поиск файлов<br/><br/>
<input class="buttom" type="submit" value="Сохранить"/>
</div></form>
';
}
else
{
if ($_POST['adr'] == 'ON') $_POST['adr']=1; else $_POST['adr']=0;
if ($_POST['partner'] == 'ON') $_POST['partner']=1; else $_POST['partner']=0;
if ($_POST['obm'] == 'ON') $_POST['obm']=1; else $_POST['obm']=0;
if ($_POST['new_komm'] == 'ON') $_POST['new_komm']=1; else $_POST['new_komm']=0;
if ($_POST['komments_change'] == 'ON') $_POST['komments_change']=1; else $_POST['komments_change']=0;
if ($_POST['eval_change'] == 'ON') $_POST['eval_change']=1; else $_POST['eval_change']=0;
if ($_POST['onpage_change'] == 'ON') $_POST['onpage_change']=1; else $_POST['onpage_change']=0;
if ($_POST['preview_change'] == 'ON') $_POST['preview_change']=1; else $_POST['preview_change']=0;
if ($_POST['top_change'] == 'ON') $_POST['top_change']=1; else $_POST['top_change']=0;
if ($_POST['new_change'] == 'ON') $_POST['new_change']=1; else $_POST['new_change']=0;
if ($_POST['stat_change'] == 'ON') $_POST['stat_change']=1; else $_POST['stat_change']=0;
if ($_POST['search_change'] == 'ON') $_POST['search_change']=1; else $_POST['search_change']=0;
if ($_POST['pagehand_change'] == 'ON') $_POST['pagehand_change']=1; else $_POST['pagehand_change']=0;
if ($_POST['zip_change'] == 'ON') $_POST['zip_change']=1; else $_POST['zip_change']=0;
if ($_POST['jad_change'] == 'ON') $_POST['jad_change']=1; else $_POST['jad_change']=0;
if ($_POST['zakaz'] == 'ON') $_POST['zakaz']=1; else $_POST['zakaz']=0;
if ($_POST['buy_change'] == 'ON') $_POST['buy_change']=1; else $_POST['buy_change']=0;
if ($_POST['cut_change'] == 'ON') $_POST['cut_change']=1; else $_POST['cut_change']=0;
foreach($_POST as $key=>$value)
{
if($key=='password' or $key=='delete_dir' or $key=='delete_file') die($hackmess);
$query = mysql_query("UPDATE `zc_setting` SET `value` = '".intval($value)."' WHERE `name` = '$key';");
}
echo 'Список модулей изменен';
}
break;

########################################БЕЗОПАСНОСТЬ################################################
case 'sec':
if(!$_POST)
{
echo '<div class="gmenu">Безопасность:</div>
<form action="apanel.php?action=sec" method="post">
<div class="list1">
Пароль(если не хотим менять оставляем пустым): <br/>
<input class="enter" name="password" type="password" value=""/></div><div class="list1">
Число неверных попыток ввода пароля до блокировки: <br/>
<input class="enter" name="countban" type="text" value="'.$setup['countban'].'"/></div><div class="list1">
Время блокировки(сек.): <br/>
<input class="enter" name="timeban" type="text" value="'.$setup['timeban'].'"/><br/>
<input name="autologin" type="checkbox" value="ON" '.check($setup['autologin']).'/>Автологин<br/>
<input name="delete_file" type="checkbox" value="ON" '.check($setup['delete_file']).'/>Функция удаления файлов<br/>
<input name="delete_dir" type="checkbox" value="ON" '.check($setup['delete_dir']).'/>Функция удаления каталогов
</div><div class="list1">
Введите пароль для потверждения: <br/>
<input class="enter" name="pwd" type="password" value=""/><br/>
<input class="buttom" type="submit" value="Сохранить"/>
</div></form>
';

}
else
{
if ($_POST['autologin'] == 'ON') $_POST['autologin']=1; else $_POST['autologin']=0;
if ($_POST['delete_dir'] == 'ON') $_POST['delete_dir']=1; else $_POST['delete_dir']=0;
if ($_POST['delete_file'] == 'ON') $_POST['delete_file']=1; else $_POST['delete_file']=0;
if (md5(clean($_POST['pwd'])) != $setup['password'] or empty($_POST['pwd'])) die($setup['hackmess']);
is_num($_POST['countban'],'countban');
is_num($_POST['timeban'],'timeban');
foreach($_POST as $key=>$value)
{
if($value=='' and $key!='password' and $key!='autologin' and $key!='delete_dir' and $key!='delete_file') die('Не заполнено одно из полей.');
}
if(!empty($_POST['password'])) $query = mysql_query("UPDATE `zc_setting` SET `value` = '".md5(clean($_POST['password']))."' WHERE `name` = 'password';");
$query = mysql_query("UPDATE `zc_setting` SET `value` = '".clean($_POST['countban'])."' WHERE `name` = 'countban';");
$query = mysql_query("UPDATE `zc_setting` SET `value` = '".clean($_POST['timeban'])."' WHERE `name` = 'timeban';");
$query = mysql_query("UPDATE `zc_setting` SET `value` = '".$_POST['autologin']."' WHERE `name` = 'autologin';");
$query = mysql_query("UPDATE `zc_setting` SET `value` = '".$_POST['delete_file']."' WHERE `name` = 'delete_file';");
$query = mysql_query("UPDATE `zc_setting` SET `value` = '".$_POST['delete_dir']."' WHERE `name` = 'delete_dir';");
echo 'Настройки изменены.';
}
break;

########################################НАСТРОЙКИ СКРИПТА################################################
case 'setting':
if(!$_POST)
{
echo '<div class="menu">Настройки загруз-центра:</div>
<form action="apanel.php?action=setting" method="post">
<div class="list1">
Папка с файлами:<br/>
<input class="enter" name="path" type="text" value="'.$setup['path'].'"/></div><div class="list1">
Папка с описаниями:<br/>
<input class="enter" name="opath" type="text" value="'.$setup['opath'].'"/></div><div class="list1">
Папка со скринами:<br/>
<input class="enter" name="spath" type="text" value="'.$setup['spath'].'"/></div><div class="list1">

Папка c JAVA книгами:<br/>
<input class="enter" name="jpath" type="text" value="'.$setup['jpath'].'"/></div><div class="list1">

Папка c ZIP книгами:<br/>
<input class="enter" name="zpath" type="text" value="'.$setup['zpath'].'"/></div><div class="list1">

Папка для нарезок:<br/>
<input class="enter" name="mp3path" type="text" value="'.$setup['mp3path'].'"/></div><div class="list1">
Лимит нарезок (Мб):<br/>
<input class="enter" name="limit" type="text" value="'.$setup['limit'].'"/></div><div class="list1">
Лимит комментариев к одному файлу:<br/>
<input class="enter" name="klimit" type="text" value="'.$setup['klimit'].'"/></div><div class="list1">
Файлов на страницу по умолчанию:<br/>
<select class="enter" size="1" name="onpage">
<option '.sel(10,$setup['onpage']).'>10</option>
<option '.sel(15,$setup['onpage']).'>15</option>
<option '.sel(20,$setup['onpage']).'>20</option>
<option '.sel(25,$setup['onpage']).'>25</option>
<option '.sel(30,$setup['onpage']).'>30</option>
</select></div><div class="list1">
Предосмотр по умолчанию:<br/>
<select class="enter" size="1" name="prew">
<option value="1" '.sel(1,$setup['prew']).'>Включено</option>
<option value="0" '.sel(0,$setup['prew']).'>Выключено</option>
</select></div><div class="list1">
ЗЦ На главной:<br/>
<select class="enter" size="1" name="pdown">
<option value="0" '.sel(0,$setup['pdown']).'>Только ссылка</option>
<option value="1" '.sel(1,$setup['pdown']).'>Полностю ЗЦ</option>
<option value="2" '.sel(2,$setup['pdown']).'>Разделы</option>
</select></div><div class="list1">
Размер превьюшек(ширина*высота,знак "*" обязателен!):<br/>
<input class="enter" name="prev_size" type="text" value="'.$setup['prev_size'].'"/></div><div class="list1">


Маркер картинок:<br/>
<select class="enter" size="1" name="marker">
<option value="0" '.sel(0,$setup['marker']).'>Выключено</option>
<option value="1" '.sel(1,$setup['marker']).'>Включено</option>
</select></div><div class="list1">

Текст маркера:<br/>
<input class="enter" name="text_marker" type="text" value="'.$setup['text_marker'].'"/></div><div class="list1">


Показ расширения:<br/>
<select class="enter" size="1" name="ext">
<option value="1" '.sel(1,$setup['ext']).'>Включено</option>
<option value="0" '.sel(0,$setup['ext']).'>Выключено</option>
</select></div><div class="list1">
Время новых файлов (дней,0 - выключено): <br/>
<input class="enter" name="day_new" type="text" value="'.$setup['day_new'].'"/></div><div class="list1">
Время онлайна(сек.):<br/>
<input class="enter" name="online_time" type="text" value="'.$setup['online_time'].'"/></div><div class="list1">
Число страниц после которого появляется возможность ручного ввода страниц: <br/>
<input class="enter" name="pagehand" type="text" value="'.$setup['pagehand'].'"/></div><div class="list1">
Число ТОП файлов:<br/>
<input class="enter" name="top_num" type="text" value="'.$setup['top_num'].'"/></div><div class="list1">
Количество выводимых посл. коментов:<br/>
<input class="enter" name="komm_num" type="text" value="'.$setup['komm_num'].'"/></div><div class="list1">
Сообщение для особо одаренных:<br/>
<input class="enter" name="hackmess" type="text" value="'.$setup['hackmess'].'"/></div><div class="list1">
Сортировка по умолчанию:<br/>
<select class="enter" size="1" name="sort">
<option value="name" '.sel('name',$setup['sort']).'>Имя</option>
<option value="size" '.sel('size',$setup['sort']).'>Размер</option>
<option value="data" '.sel('data',$setup['sort']).'>Дата</option>
<option value="load" '.sel('load',$setup['sort']).'>Популярность</option>
<option value="eval" '.sel('eval',$setup['sort']).'>Рейтинг</option>
</select></div><div class="list1">
Email:<br/>
<input class="enter" name="zakaz_email" type="text" value="'.$setup['zakaz_email'].'"/>
</div><div class="list1">
Заголовок: <br/>
<input class="enter" name="zag" type="text" value="'.$setup['zag'].'"/>
</div><div class="list1">
Главная сайта:<br/>
<input class="enter" name="site_url" type="text" value="'.$setup['site_url'].'"/><br/><br/>
<input class="buttom" type="submit" value="Сохранить"/>
</div></form>
';
}
else
{
if($_POST['password'] OR $_POST['delete_dir'] OR $_POST['delete_file']){
die($hackmess);
}
foreach($_POST as $key=>$value){
if(!isset($value) or $value=='') die('Не заполнено одно из полей.');
mysql_query("DELETE FROM `zc_setting` WHERE `name`='".$key."'");
mysql_query("INSERT INTO `zc_setting`(`name`,`value`) VALUES( '".$key."', '".clean($value)."');");
print mysql_error();
}
echo 'Настройки сохранены';
}
break;

########################################НАСТРОЙКИ закрытых разделов################################################
case 'payset':
if(!$_POST)
{
if($setup['stopcomp']==1) $stopcomp='Да'; else $stopcomp='Нет';
echo '<form action="apanel.php?action=payset" method="post">
<div class="menu">Основные настройки:</div>
<div class="list1">
Пароль(такойже как на а1-для антинакрутки):<br/>
<input class="enter" name="a1pas" type="text" value="'.$setup['a1pas'].'"/><br/>
Минималка:<br/>
<input class="enter" name="minimalka" type="text" value="'.$setup['minimalka'].'"/><br/>
Процент выплаты партнерам:<br/>
<input class="enter" name="pprocent" type="text" value="'.$setup['pprocent'].'"/><br/>
</div>
<div class="menu">Настройки блокир. разделов (активация ссылок):</div>
<div class="list1">
Время действия пароля(часов):<br/>
<input class="enter" name="click_pas" type="text" value="'.$setup['click_pas'].'"/></div><div class="list1">
Разрешить вход с компов и оперы-мини?:<br/>
<select class="enter" size="1" name="stopcomp">
<option value="'.$setup['stopcomp'].'">'.$stopcomp.'</option>
<option value="1">Да</option>
<option value="0">Нет</option>
</select></div><div class="list1">
Ссылки(<font color="red">http://cite1.ru, http://cite2.ru</font>):<br/>
<textarea class="enter" cols="30" rows="10" name="links" maxlength="256" value="">'.$setup['links'].'</textarea>
</div>
<div class="menu">Настройки блокир. разделов (sms):</div>
<div class="list1">
Префикс:<br/>
<input class="enter" name="sms_pas" type="text" value="'.$setup['sms_pas'].'"/></div>
<div class="list1">
Информация об отправке sms:<br/>
<textarea class="enter" cols="30" rows="10" name="sms_info" maxlength="256" value="">'.$setup['sms_info'].'</textarea></div><div class="list1">
<input class="buttom" type="submit" value="Сохранить"/>
</div>

</form>';

}
else
{
if ($_POST['pdown'] == 'ON') $_POST['pdown']=1; else $_POST['pdown']=0;
if($_POST['password'] OR $_POST['delete_dir'] OR $_POST['delete_file']){
die($hackmess);
}
foreach($_POST as $key=>$value){

mysql_query("DELETE FROM `zc_setting` WHERE `name`='".$key."'");
mysql_query("INSERT INTO `zc_setting`(`name`,`value`) VALUES( '".$key."', '". clean($value)."');");
print mysql_error();
}
echo 'Настройки сохранены';
}
break;
}
######################################НОСОК##################################################
if($_GET['action']){
print '<div class="list1"><a href="apanel.php">Админка</a></div>';
}
require_once ("moduls/foot.php");
?>